﻿using System;
using System.Collections.Generic;

using System.Web.Services;
using System.Configuration;
using System.Data.SqlClient;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    [WebMethod]
    public static List<string> SearchCustomers(string prefixText, int count)
    {
        string query = "SELECT ContactName FROM Customers WHERE ContactName LIKE @SearchText + '%'";
        string constr = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
        using (SqlConnection con = new SqlConnection(constr))
        {
            using (SqlCommand cmd = new SqlCommand(query, con))
            {
                cmd.Parameters.AddWithValue("@SearchText", prefixText);
                List<string> customers = new List<string>();
                con.Open();
                using (SqlDataReader sdr = cmd.ExecuteReader())
                {
                    while (sdr.Read())
                    {
                        customers.Add(sdr["ContactName"].ToString());
                    }
                }
                con.Close();
                return customers;
            }
        }
    }
}

