﻿Imports System.Data.SqlClient
Imports System.Web.Services

Partial Class VB
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
    End Sub

    <WebMethod>
    Public Shared Function SearchCustomers(ByVal prefixText As String, ByVal count As Integer) As List(Of String)
        Dim query As String = "SELECT ContactName FROM Customers WHERE ContactName LIKE @SearchText + '%'"
        Dim constr As String = ConfigurationManager.ConnectionStrings("constr").ConnectionString
        Using con As SqlConnection = New SqlConnection(constr)
            Using cmd As SqlCommand = New SqlCommand(query, con)
                cmd.Parameters.AddWithValue("@SearchText", prefixText)
                Dim customers As List(Of String) = New List(Of String)()
                con.Open()
                Using sdr As SqlDataReader = cmd.ExecuteReader()
                    While sdr.Read()
                        customers.Add(sdr("ContactName").ToString())
                    End While
                End Using
                con.Close()
                Return customers
            End Using
        End Using
    End Function
End Class
